package org.diagbot.common.push.bean;

import lombok.Getter;
import lombok.Setter;

/**
 * 触发规则
 * @author Mark Huang
 * @since 27/08/2019
 */
@Getter
@Setter
public class Rule {
    private String id = "";
    // 大类名称
    private String pub_name = "";
    // 最小值比较符
    private String min_operator = "";
    // 最小值
    private String min_value = "";
    // 最小值单位
    private String min_unit = "";
    // 最大值比较符
    private String max_operator = "";
    // 最大值
    private String max_value = "";
    // 最大值单位
    private String max_unit = "";
    // 标准值 用作等于
    private String eq_operator = "";
    // 标准值
    private String eq_value = "";
    // 标准值单位
    private String eq_unit = "";
    //提醒信息
    private String remind = "";
    //提醒信息
    private String originText = "";

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getPub_name() {
        return pub_name;
    }

    public void setPub_name(String pub_name) {
        this.pub_name = pub_name;
    }

    public String getMin_operator() {
        return min_operator;
    }

    public void setMin_operator(String min_operator) {
        this.min_operator = min_operator;
    }

    public String getMin_value() {
        return min_value;
    }

    public void setMin_value(String min_value) {
        this.min_value = min_value;
    }

    public String getMin_unit() {
        return min_unit;
    }

    public void setMin_unit(String min_unit) {
        this.min_unit = min_unit;
    }

    public String getMax_operator() {
        return max_operator;
    }

    public void setMax_operator(String max_operator) {
        this.max_operator = max_operator;
    }

    public String getMax_value() {
        return max_value;
    }

    public void setMax_value(String max_value) {
        this.max_value = max_value;
    }

    public String getMax_unit() {
        return max_unit;
    }

    public void setMax_unit(String max_unit) {
        this.max_unit = max_unit;
    }

    public String getEq_operator() {
        return eq_operator;
    }

    public void setEq_operator(String eq_operator) {
        this.eq_operator = eq_operator;
    }

    public String getEq_value() {
        return eq_value;
    }

    public void setEq_value(String eq_value) {
        this.eq_value = eq_value;
    }

    public String getEq_unit() {
        return eq_unit;
    }

    public void setEq_unit(String eq_unit) {
        this.eq_unit = eq_unit;
    }

    public String getRemind() {
        return remind;
    }

    public void setRemind(String remind) {
        this.remind = remind;
    }

    public String getOriginText() {
        return originText;
    }

    public void setOriginText(String originText) {
        this.originText = originText;
    }
}
